summaryrefslogtreecommitdiffstats
path: root/gnulib-tests/test-copy-acl-1.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 17:39:29 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 17:39:29 +0000
commit8ffec2a3aba6f114784e11f89ef1d57a096ae540 (patch)
treeccebcbad06203e8241a8e7249f8e6c478a3682ea /gnulib-tests/test-copy-acl-1.sh
parentInitial commit. (diff)
downloadcoreutils-8ffec2a3aba6f114784e11f89ef1d57a096ae540.tar.xz
coreutils-8ffec2a3aba6f114784e11f89ef1d57a096ae540.zip
Adding upstream version 8.32.upstream/8.32upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'gnulib-tests/test-copy-acl-1.sh')
-rwxr-xr-xgnulib-tests/test-copy-acl-1.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/gnulib-tests/test-copy-acl-1.sh b/gnulib-tests/test-copy-acl-1.sh
new file mode 100755
index 0000000..0fe44a5
--- /dev/null
+++ b/gnulib-tests/test-copy-acl-1.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+# Test copy-acl on the file system of /var/tmp, which usually is a local
+# file system.
+
+. "${srcdir=.}/init.sh"; path_prepend_ .
+
+if test -d /var/tmp; then
+ TMPDIR=/var/tmp
+else
+ TMPDIR=/tmp
+fi
+test -d $TMPDIR || Exit 77
+export TMPDIR
+
+$BOURNE_SHELL "${srcdir}/test-copy-acl.sh"
+
+Exit $?